class CsvLineSerialize::Serializer
  def initialize(csv_line)
    @csv_line = csv_line.to_s.dup
  end

  def execute
    strip_comma!
    serialize!

    @csv_line
  end

  private

  def strip_comma!
    remove_comma_at_start_of_line!
    remove_comma_at_end_of_line!
  end

  def remove_comma_at_start_of_line!
    @csv_line.gsub!(/^\,/,"")
  end

  def remove_comma_at_end_of_line!
    @csv_line.gsub!(/\,$/, "")
  end

  def serialize!
    @csv_line.gsub!(",", "\n")
  end
end